<template>
  <div>
    <h1>Accueil</h1>
    <img src="~/assets/header.jpg" alt="header" height="300" />
    <h2>Nos articles</h2>
    <ul>
      <li v-for="post in articles" :key="post.id" class="post">
        <nuxt-link :to="`/post/${post.id}`">{{ post.title }}</nuxt-link>
        <p>
          Par: <em>{{ post.author.name }}</em>
          <small>Le {{ new Date(post.createdAt).toLocaleDateString() }}</small>
        </p>
      </li>
    </ul>
  </div>
</template>

<script>
import gql from 'graphql-tag'

export default {
  apollo: {
    articles: {
      query: gql`
        query {
          articles {
            id
            title
            content
            createdAt
            author {
              name
            }
          }
        }
      `,
    },
  },
}
</script>

<style lang="scss">
.post {
  list-style: none;
  border-radius: $border-radius;
  box-shadow: $shadow;
  padding: 20px;
  transition: transform 0.2s;

  &:hover {
    box-shadow: $shadow--hover;
    transform: translateY(-5px);
  }

  &:not(:last-child) {
    margin-bottom: 8px;
  }
}
</style>
